--
-- ForageWagonFix
--
-- Fix to make the forageWagon work as self propelled
--
-- @author  Stefan Geiger
-- @date  02/05/12
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

ForageWagonFix = {};

function ForageWagonFix.prerequisitesPresent(specializations)
    return true;
end

function ForageWagonFix:load(xmlFile)
    self.checkSpeedLimit = false;
	self:onReleaseBrake();
	self.updateWheels = false;
end

function ForageWagonFix:delete()
end

function ForageWagonFix:mouseEvent(posX, posY, isDown, isUp, button)
end

function ForageWagonFix:keyEvent(unicode, sym, modifier, isDown)
end

function ForageWagonFix:update(dt)
    -- Disable checkSpeedLimit so that attacheVehicle is not used by the foragewagon script
    -- Call this in the update loop in case it changed in another script
    self.checkSpeedLimit = false;
end

function ForageWagonFix:updateTick(dt)
end

function ForageWagonFix:draw()
end
